<html>
    <head>
        <title>TODO supply a title</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    </head>
    <body>

        <style type="text/css">
            .marcar{
                font-weight: bolder;
                color: red;
            }
        </style>


        <script type="text/javascript">

            function alterarTamanhoFonte() {
                //debugger ; 
                var tamanho = $('#txtFonte').val();
                var paragrafo = $('#txt_paragrafo_fonte');

                paragrafo.css('font-size', tamanho + 'px');

            }


            function buscarPalavras() {

                var campoBusca = $('#txtBuscar');
                var textoBuscado = campoBusca.val().trim();
                var campoParagrafo = $('#txt_paragrafo_buscado');
                var textoOriginal = campoParagrafo.text().split(' ');
                var textoFinal = "";
                for (var i = 0; i < textoOriginal.length; i++) {
                    if (textoBuscado.toUpperCase() === textoOriginal[i].toUpperCase()) {
                        textoFinal += ' ' + '<span class="marcar" >' + textoOriginal[i] + '</span>';

                    } else {
                        textoFinal += ' ' + textoOriginal[i];

                    }
                }

                campoParagrafo.html(textoFinal);



            }

        </script>


        Tamanho : <input id="txtFonte" type="text" /> 
        <input type="button" value="Alterar" onclick="alterarTamanhoFonte();" />
        <br />

        <p id="txt_paragrafo_fonte" > 
            O dia for marcado novamente por expectativas dos investidores sobre 
            as negociações comerciais entre a China e os Estados Unidos, com o 
            mercado em busca de sinalizações sobre um possível acordo para colocar 
            fim à guerra comercial que se arrasta desde o começo de 2018.
            
            Nesta madrugada, um veículo estatal chinês informou que os dois países 
            estão próximos de um acordo. Mas, mesmo assim, muitos agentes continuam 
            cautelosos com a demora no acerto dos ajustes. Em outubro, após reunião na Casa 
            Branca, o presidente dos Estados Unidos, Donald Trump, havia afirmado que a fase 1 
            do acordo seria assinada ainda em novembro.
            
        </p> 




        Palavra : <input id="txtBuscar" type="text" /> 
        <input type="button" value="Buscar" onclick="buscarPalavras();" />
        <br />
        <p id="txt_paragrafo_buscado">
            O dólar fechou em alta nesta segunda-feira (25) e atingiu o maior valor
            nominal da história sobre o real. A moeda norte-americana subiu 0,5%, a 
            R$ 4,2129. Veja mais cotações. Já o dólar turismo terminou o dia vendido 
            perto de R$ 4,40 - sem considerar os impostos.
            Em novembro, o dólar acumula alta de 5,07% sobre o real. No ano, o avanço até agora é de 8,74%.
            O recorde anterior de fechamento do dólar sobre o real havia sido atingido na semana anterior. 
            No dia 18 de novembro, a moeda norte-americana subiu 0,32%, encerrando o dia a R$ 4,206.
             
        </p>
    </body>
</html>
